UPSCLI_SPLITADDR(3)

NAME
upscli_splitaddr - Split a listening address into its components

SYNOPSIS

        #include <upsclient.h>
        int upscli_splitaddr(const char *buf, char **hostname,
                int *port)

DESCRIPTION

The upscli_splitaddr() function takes a pointer to the listening address definition buf and returns the pointer to dynamically allocated memory in hostname. It also copies the port number into port.

FORMATTING

A listening address definition is specified according to this format:

    <hostname>[:<port>]

Definitions without an explicit port value receive the default value of 3493.

MEMORY USAGE

You must free(3) the pointer hostname when you are done with it to avoid memory leaks.

RETURN VALUE

The upscli_splitaddr() function returns 0 on success, or -1 if an error occurs.

SEE ALSO

upscli_fd(3), upscli_get(3), upscli_readline(3), upscli_sendline(3), upscli_splitname(3), upscli_ssl(3), upscli_strerror(3), upscli_upserror(3)